#
# spec file for package mozilla (Version 1.7.8)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  freetype2 freetype2-devel glib glib-devel gnome2-devel-packages gpp gtk gtk-devel kerberos-devel-packages libgpp libidl libidl-devel libjpeg liblcms libmng libmng-devel libpng-devel-packages orbit orbit-devel pkgconfig tcsh x-devel-packages zip
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib e2fsprogs-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk gtk-devel gtk2 gtk2-devel heimdal heimdal-devel heimdal-lib libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libidl libidl-devel libjpeg liblcms libmng libmng-devel libpng libpng-devel libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit orbit-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel rpm tcsh update-desktop-files zip

Name:         mozilla
License:      MPL, GPL
Provides:     web_browser
Version:      1.7.8
Release:      27
Summary:      The Open Source version of the Netscape browser
URL:          http://www.mozilla.org/
Group:        Productivity/Networking/Web/Browsers
%if %suse_version >= 820 && %suse_version <= 920 && %sles_version == 0
Obsoletes:    galeon, epiphany, epiphany-plugins
%endif
Source:       mozilla-source-%{version}.tar.bz2
Source1:      mozilla-desktop.tar.bz2
Source2:      add-plugins.sh.in
Source3:      mozilla.sh.in
Source4:      mozilla-gtk1-xft-prefs.js
Source5:      LEOPlugin_MN.zip
Source6:      search-addons.tar.bz2
Source8:      addon-certs.txt
Source9:      enigmail-0.91.0.tar.gz
Source10:     ipc-1.1.2.tar.gz
Source11:     rebuild-databases.sh.in
Source12:     README.installed-chrome
Source13:     mozilla-make-package.pl
Source14:     mozex.jar
Patch1:       ia64.patch
Patch2:       suse-prefs.dif
Patch3:       mozilla-gtk1-xft-uifont.patch
Patch4:       packages-unix.patch
Patch5:       nodebug.patch
Patch6:       prdtoa.patch
Patch7:       bookmarks.diff
Patch8:       mozilla-gcc3-axp.diff
Patch9:       moz-retval.patch 
Patch10:      mips-buildfix.diff
Patch11:      freetype.dif
Patch12:      misc.dif
Patch13:      nss-opt.patch
Patch14:      quoting.patch
Patch15:      autoconf.dif
Patch16:      mozilla-1.7.10.patch
Patch17:      mozilla-default-plugin-less-annoying.patch
Patch18:      mozilla-focus-fix.patch
Patch19:      heimdal.patch
Patch20:      remote.patch
Patch21:      ppc64.patch
Patch22:      cjk-postscript-fonts.dif
Patch23:      gconf.diff
Patch24:      debug.patch
Patch25:      ft-xft-ps2.patch
Patch26:      disable-gconf.patch
Patch27:      untitled.patch
Patch28:      DNT.patch
Patch29:      stack-direction.patch
Patch30:      mozilla-1.7.11.patch
Patch31:      mozilla-gcc4.patch
Patch32:      enigmail-gcc4.patch
Patch33:      ipc-gcc4.patch
Patch34:      system-nspr.patch
Patch35:      print-leak.patch
Patch36:      mozilla-1.7.12.patch
Patch37:      enigmail-sec.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 800
PreReq:       libstdc++ fileutils textutils /bin/sh
%else
PreReq:       libgpp fileutils textutils /bin/sh
%endif
%define _unpackaged_files_terminate_build 0
%define releasedate 2005092100
%define progname mozilla
%define prefix /opt/%{progname}
%define progdir %{prefix}/%_lib
%define use_gtk2 0
%define use_xft %(if grep -q slec /.buildenv; then echo 1; else echo 0; fi)
### build options
%define milestone 1
%define debug     0
%define build_enigmail 1
%if %suse_version > 810
%define use_gtk2 1
%define use_xft  1
%endif
### build options end
%if %use_gtk2
Provides:     %{name}-gtk2
%endif
%define kprinter %(if grep -q slec /.buildenv; then echo 1; else echo 0; fi)

%description
Originally based on the Netscape Navigator source, the Mozilla project
grew to be the most advanced web browser currently available. It
supports new techniques like CSS2, MathML, SVG, XML, transparent PNGs,
and its look is fully theme-able.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package devel 
Summary:      Mozilla Developer Environment
Group:        Development/Libraries/X11

%description devel
The mozilla-devel package contains the header files for Mozilla.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package mail
Summary:      Mozilla's Mailclient
Provides:     mozilla:/opt/mozilla/chrome/messenger.jar
Group:        Productivity/Networking/Email/Clients
PreReq:       %{name} = %{version}

%description mail
Mail/news client based on the Mozilla web browser. The mail/news client
supports IMAP, POP3 and NNTP and has an easy to use interface.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package calendar
Summary:      Mozilla's calendar implementation
Provides:     mozilla:/opt/mozilla/lib/chrome/calendar.jar
Group:        Productivity/Networking/Web/Browsers
PreReq:       %{name} = %{version}

%description calendar
This package contains the calendar application from the mozilla suite.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package xmlterm
Summary:      Mozilla's XML Terminalemulation
Provides:     mozilla:/opt/mozilla/chrome/xmlterm.jar
Group:        Productivity/Networking/Web/Browsers
PreReq:       %{name} = %{version}

%description xmlterm
XML Terminal (HTTP-aware) of the Mozilla browser.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package irc
Summary:      IRC for Mozilla
Provides:     mozilla:/opt/mozilla/chrome/chatzilla.jar
Group:        Productivity/Networking/IRC
PreReq:       %{name} = %{version}

%description irc
IRC (Chatzilla) for Mozilla.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package venkman
Summary:      Mozilla's JavaScript debugger
Provides:     mozilla:/opt/mozilla/chrome/venkman.jar
Group:        Development/Tools/Debuggers
PreReq:       %{name} = %{version}

%description venkman
JavaScript debugger of the Mozilla browser.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package dom-inspector
Summary:      Mozilla's DOM inspector
Provides:     mozilla:/opt/mozilla/chrome/inspector.jar
Group:        Development/Tools/Navigators
PreReq:       %{name} = %{version}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla. This is of great use to people who are doing Mozilla chrome
development or web page development.



Authors:
--------
    Ramiro Estrugo <ramiro@netscape.com>

%package spellchecker
Summary:      Spellchecker for Mozilla
Group:        Productivity/Networking/Web/Browsers
PreReq:       %{name} = %{version} 
%if %suse_version > 820
PreReq:       myspell-dictionary
%endif

%description spellchecker
This package contains the spellchecker application for the mozilla
application suite.



Authors:
--------
    http://spellchecker.mozdev.org/

%prep
%setup -n mozilla -b 1 -b 9 -b 10 -q
%if %suse_version < 820
%patch1
%endif
%patch2
%if %use_xft
%patch3
%endif
%patch4
%if %milestone
%patch5
%endif
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14 -p1
%patch15
%patch16 -p1
%patch17 -p2
%patch18 -p2
%patch19
%patch20
%patch21 -p1
%patch22
%patch23
%if %debug
cd netwerk/base/src
%patch24
cd ../../..
%endif
%if %suse_version > 910
%patch25
%endif
%patch26
%patch27
%patch28
%patch29
%patch30
%patch31
pushd ../enigmail
%patch32
%patch37 -p1
popd
pushd ../ipc
%patch33
popd
# system NSPR
%if %suse_version > 930 
%patch34
%endif
%patch35
%patch36 -p1
# additional CA certificates
cd $RPM_BUILD_DIR/mozilla/security/nss/lib/ckfw/builtins
cat %{SOURCE8} >> certdata.txt
make generate

%build
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_INTERNAL_LIBART_LGPL=1
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"  
export CXXFLAGS="$CFLAGS"
./configure --disable-tests \
            --enable-optimize="$CFLAGS" \
            --enable-extensions=all \
            --enable-xinerama --enable-crypto \
            --enable-reorder \
%if %suse_version <= 920
            --enable-strip \
%endif
%if %suse_version > 810
            --enable-svg --enable-svg-renderer-libart \
%endif
%if %debug
%else
            --disable-debug --disable-dtd-debug \
%endif
%if %use_xft
            --enable-xft \
	    --disable-freetype2 \
%if %use_gtk2
            --enable-default-toolkit=gtk2 \
%endif
%endif
            --with-default-mozilla-five-home=%{progdir} \
%if %suse_version > 930
	    --with-system-nspr \
%endif
            --libdir=%{progdir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
            --prefix=%{prefix} \
            --with-system-jpeg \
            --with-system-png \
            --with-system-mng \
            --with-system-zlib \
            --enable-calendar \
            --enable-ldap-experimental
make %{?jobs:-j%jobs}
#
### enigmail build
%if %build_enigmail
mv $RPM_BUILD_DIR/ipc      $RPM_BUILD_DIR/mozilla/extensions/
mv $RPM_BUILD_DIR/enigmail $RPM_BUILD_DIR/mozilla/extensions/enigmail
(cd $RPM_BUILD_DIR/mozilla/extensions/ipc; ./makemake -r; make %{?jobs:-j%jobs})
(cd $RPM_BUILD_DIR/mozilla/extensions/enigmail; ./makemake -r; make %{?jobs:-j%jobs})
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && \
  rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT \
	make install
# movemail installation
mkdir -p $RPM_BUILD_ROOT%{progdir}/defaults/isp/US/
cp -fL dist/bin/defaults/isp/movemail.rdf $RPM_BUILD_ROOT%{progdir}/defaults/isp/
cp -fL dist/bin/defaults/isp/US/movemail.rdf $RPM_BUILD_ROOT%{progdir}/defaults/isp/US/
#
### create file-lists ###
#
rm -f %{_tmppath}/mozilla.list
chmod u+x %{SOURCE13}
%{SOURCE13} --package langenus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package regus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package deflenus \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package xpcom \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package browser \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%{SOURCE13} --package psm \
   --output-file %{_tmppath}/mozilla.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
rm -f %{_tmppath}/mozilla-mail.list
%{SOURCE13} --package mail \
   --output-file %{_tmppath}/mozilla-mail.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
rm -f %{_tmppath}/mozilla-chat.list
%{SOURCE13} --package chatzilla \
   --output-file %{_tmppath}/mozilla-chat.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
rm -f %{_tmppath}/mozilla-venkman.list
%{SOURCE13} --package venkman \
   --output-file %{_tmppath}/mozilla-venkman.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
rm -f %{_tmppath}/mozilla-inspector.list
%{SOURCE13} --package inspector \
   --output-file %{_tmppath}/mozilla-inspector.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
rm -f %{_tmppath}/mozilla-spellchecker.list
%{SOURCE13} --package spellcheck \
   --output-file %{_tmppath}/mozilla-spellchecker.list \
   --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
   --install-dir $RPM_BUILD_ROOT%{progdir} \
   --install-root %{progdir}
%if %use_xft
%if %use_gtk2
%else
# install the default fonts for xft for gtk1
cp %{SOURCE4} $RPM_BUILD_ROOT%{progdir}/defaults/pref/xft.js
%endif
%endif
# copy nss3 devel files
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/nss/
cp -rL dist/public/nss/* $RPM_BUILD_ROOT%{prefix}/include/nss
# left devel files
cp -rL dist/bin/mozilla-config $RPM_BUILD_ROOT%{prefix}/bin
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT/usr/bin
sed "s:%%PREFIX:%{prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.mozilla:g" \
   %{SOURCE3} > $RPM_BUILD_ROOT%{prefix}/bin/%{progname}.sh 
chmod 755 $RPM_BUILD_ROOT%{prefix}/bin/%{progname}.sh
ln -sf ../..%{prefix}/bin/%{progname}.sh $RPM_BUILD_ROOT/usr/bin/%{progname}
# Desktop definition
%if %suse_version > 820
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT/opt/gnome/share/applications
%else
%if %use_gtk2
mkdir -p $RPM_BUILD_ROOT/opt/gnome2/share/applications
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT/opt/gnome2/share/applications
%else
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Internet
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/Internet
%endif
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 $RPM_BUILD_DIR/*.png $RPM_BUILD_ROOT/usr/share/pixmaps/
%if %use_gtk2
# gtk icons (for gtk2 build)
mkdir -p $RPM_BUILD_ROOT%{progdir}/icons
cp -f $RPM_BUILD_DIR/mozilla/widget/src/gtk/*.xpm $RPM_BUILD_ROOT%{progdir}/icons
%endif
# install pkgconfig stuff
%if %suse_version > 810
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
install -m 755 $RPM_BUILD_DIR/mozilla/build/unix/mozilla-*.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
%endif
# install add-plugins.sh 
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
   %{SOURCE2} > $RPM_BUILD_ROOT%{prefix}/bin/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{prefix}/bin/add-plugins.sh
%if %suse_version > 800
perl -pi -e "s|GCC3=0|GCC3=1|" $RPM_BUILD_ROOT%{prefix}/bin/add-plugins.sh
%endif
# install the gre.conf file
mkdir -p $RPM_BUILD_ROOT/etc
echo [%{version}] > \
  $RPM_BUILD_ROOT/etc/gre.conf
echo GRE_PATH=%{progdir} >> \
  $RPM_BUILD_ROOT/etc/gre.conf
##########
# ADDONS
#
sed "s:%%PREFIX:%{prefix}:g
s:%%PROGDIR:%{progdir}:g" \
   %{SOURCE11} > $RPM_BUILD_ROOT%{prefix}/bin/rebuild-databases.sh
chmod 755 $RPM_BUILD_ROOT%{prefix}/bin/rebuild-databases.sh
unzip %{SOURCE5} LEO.* -d $RPM_BUILD_DIR
(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE6})
cp -f $RPM_BUILD_DIR/LEO* $RPM_BUILD_ROOT%{progdir}/searchplugins
# registry ;-)
pushd $RPM_BUILD_ROOT%{progdir}
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GCONF=1 ./regxpcom
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` MOZ_DISABLE_GCONF=1 ./regchrome
# workaround for xpti.dat
sed "s:$RPM_BUILD_ROOT::g" components/xpti.dat > components/xpti.dat.new && \
  mv -f components/xpti.dat.new components/xpti.dat
popd
# install enigmail
%if %build_enigmail
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/chrome/enigmail.jar $RPM_BUILD_ROOT%{progdir}/chrome/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/chrome/enigmail-skin.jar $RPM_BUILD_ROOT%{progdir}/chrome/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/enig* $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/libenigmime.so $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/components/ipc.xpt $RPM_BUILD_ROOT%{progdir}/components/
cp -f $RPM_BUILD_DIR/mozilla/dist/bin/defaults/pref/enigmail.js $RPM_BUILD_ROOT%{progdir}/defaults/pref/
%endif
# install mozex
install -m 0644 %SOURCE14 $RPM_BUILD_ROOT%{progdir}/chrome/
# ghost-files
[ -f $RPM_BUILD_ROOT%{progdir}/components/compreg.dat ] || \
   touch $RPM_BUILD_ROOT%{progdir}/components/compreg.dat
[ -d $RPM_BUILD_ROOT%{progdir}/res/dtd ] || \
   mkdir -p $RPM_BUILD_ROOT%{progdir}/res/dtd
[ -d $RPM_BUILD_ROOT%{progdir}/res/fonts ] || \
   mkdir -p $RPM_BUILD_ROOT%{progdir}/res/fonts
# chrome registry
%if %build_enigmail
cat <<EOF >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
EOF
%endif
echo content,install,url,jar:resource:/chrome/mozex.jar!/content/mozex/ >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
echo skin,install,select,modern/1.0 >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
echo locale,install,select,en-US    >> $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
mkdir -p $RPM_BUILD_ROOT%{prefix}/installed-chrome.d/locales
cp -f $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt $RPM_BUILD_ROOT%{prefix}/installed-chrome.d/mozilla
sed '/installed-chrome.txt/d' <%{_tmppath}/mozilla.list >%{_tmppath}/mozilla.list~ && mv %{_tmppath}/mozilla.list~ %{_tmppath}/mozilla.list
# avoid "file listed twice"
grep -v "searchplugins" %{_tmppath}/mozilla.list > %{_tmppath}/mozilla.list~ && mv %{_tmppath}/mozilla.list~ %{_tmppath}/mozilla.list
#
touch $RPM_BUILD_ROOT%{prefix}/installed-chrome.d/manual
touch $RPM_BUILD_ROOT%{progdir}/chrome/locale.alias
%if %suse_version > 820
%suse_update_desktop_file Mozilla          Application Network WebBrowser
%suse_update_desktop_file mozilla-mail     Application Network Email
%suse_update_desktop_file mozilla-composer Application Network WebDevelopment
%endif
# use kprinter on SLEC
%if kprinter
sed "s/lpr \${MOZ_PRINTER_NAME:+'-P'}\${MOZ_PRINTER_NAME}/kprinter --stdin/g" \
   $RPM_BUILD_ROOT%{progdir}/greprefs/all.js > \
   $RPM_BUILD_ROOT%{progdir}/greprefs/all.js.new && \
   mv $RPM_BUILD_ROOT%{progdir}/greprefs/all.js{.new,}
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
rm -f %{_tmppath}/mozilla*.list

%post
# move plugins to new location
if [ "$1" = "2" ]; then
  if [ -d %prefix/plugins ]; then
    cp -f %prefix/plugins/* %{progdir}/plugins
    rm -rf %prefix/plugins
  fi
fi
%prefix/bin/rebuild-databases.sh
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%post mail
%prefix/bin/rebuild-databases.sh
exit 0

%post dom-inspector
%prefix/bin/rebuild-databases.sh
exit 0

%post venkman
%prefix/bin/rebuild-databases.sh
exit 0

%post irc
%prefix/bin/rebuild-databases.sh
exit 0

%post xmlterm
%prefix/bin/rebuild-databases.sh
exit 0

%post calendar
%prefix/bin/rebuild-databases.sh
exit 0

%post spellchecker
%prefix/bin/rebuild-databases.sh
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%postun mail
%prefix/bin/rebuild-databases.sh
exit 0

%postun dom-inspector
%prefix/bin/rebuild-databases.sh
exit 0

%postun venkman
%prefix/bin/rebuild-databases.sh
exit 0

%postun irc
%prefix/bin/rebuild-databases.sh
exit 0

%postun xmlterm
%prefix/bin/rebuild-databases.sh
exit 0

%postun calendar
%prefix/bin/rebuild-databases.sh
exit 0

%postun spellchecker
%prefix/bin/rebuild-databases.sh
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  rm -f %{progdir}/plugins/* %{progdir}/components/myspell/*
  rm -rf %{progdir}/chrome/overlayinfo
  rm -f %{progdir}/chrome/*.rdf
fi
exit 0

%triggerin -- RealPlayer, acroread, netscape-plugins, plugger, IBMJava2-JRE, java2-jre, java2, IBMJava2-SDK, BlackdownJava2-JRE, java-1_4_2-sun-plugin, BEAJava2-JRE, flash-player, tclplug, djvulibre, myspell-dictionary, mozplugger, mozilla-bonobo, gplflash, java-1_5_0-sun-plugin
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- RealPlayer
if [ -L %{progdir}/plugins/rpnp.so -a ! -f %{progdir}/plugins/rpnp.so ];
then
  rm -f %{progdir}/plugins/rpnp.so %{progdir}/plugins/raclass.zip
fi
if [ -L %{progdir}/plugins/nphelix.so -a ! -f %{progdir}/plugins/nphelix.so ];
then
  rm -f %{progdir}/plugins/nphelix.so %{progdir}/plugins/nphelix.xpt
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- acroread
if [ -L %{progdir}/plugins/nppdf.so -a ! -f %{progdir}/plugins/nppdf.so ]; then
  rm -f %{progdir}/plugins/nppdf.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0
%if %suse_version < 820

%triggerpostun -- netscape-plugins
if [ -L %{progdir}/plugins/libflashplayer.so -a ! -f %{progdir}/plugins/libflashplayer.so ]; then
  rm -f %{progdir}/plugins/libflashplayer.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0
%else

%triggerpostun -- flash-player
if [ -L %{progdir}/plugins/libflashplayer.so -a ! -f %{progdir}/plugins/libflashplayer.so ]; then
  rm -f %{progdir}/plugins/libflashplayer.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0
%endif

%triggerpostun -- plugger
if [ -L %{progdir}/plugins/plugger.so -a ! -f %{progdir}/plugins/plugger.so ]; then
  rm -f %{progdir}/plugins/plugger.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- mozplugger
if [ -L %{progdir}/plugins/mozplugger.so -a ! -f %{progdir}/plugins/mozplugger.so ]; then
  rm -f %{progdir}/plugins/mozplugger.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- tclplug
if [ -L %{progdir}/plugins/libnptcl3.0.so -a ! -f %{progdir}/plugins/libnptcl3.0.so ]; then
  rm -f %{progdir}/plugins/libnptcl3.0.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- djvulibre
if [ -L %{progdir}/plugins/nsdejavu.so -a ! -f %{progdir}/plugins/nsdejavu.so ]; then
  rm -f %{progdir}/plugins/nsdejavu.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun --  IBMJava2-JRE, java2-jre, java2, IBMJava2-SDK, BlackdownJava2-JRE, java-1_4_2-sun-plugin, BEAJava2-JRE, java-1_5_0-sun-plugin
if [ -L %{progdir}/plugins/libjavaplugin_oji.so -a ! -f %{progdir}/plugins/libjavaplugin_oji.so ]; then
  rm -f %{progdir}/plugins/libjavaplugin_oji.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- mozilla-bonobo
if [ -L %{progdir}/plugins/libmozilla_bonobo.so -a ! -f %{progdir}/plugins/libmozilla_bonobo.so ]; then
  rm -f %{progdir}/plugins/libmozilla_bonobo.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- gplflash
if [ -L %{progdir}/plugins/libnpflash.so -a ! -f %{progdir}/plugins/libnpflash.so ]; then
  rm -f %{progdir}/plugins/libnpflash.so
fi
%prefix/bin/add-plugins.sh > /dev/null 2>&1
exit 0

%files -f %{_tmppath}/mozilla.list
%defattr(-,root,root)
%dir %{prefix}/bin
%attr(755,root,root) %{prefix}/bin/rebuild-databases.sh
%attr(755,root,root) %{prefix}/bin/add-plugins.sh
%attr(755,root,root) %{prefix}/bin/mozilla.sh
%dir %{prefix}/installed-chrome.d
%dir %{prefix}/installed-chrome.d/locales
%dir %{progdir}/res
%dir %{progdir}/res/dtd
%dir %{progdir}/res/rdf
%dir %{progdir}/res/html
%dir %{progdir}/res/fonts
%if !%milestone
%dir %{progdir}/res/samples
%dir %{progdir}/res/samples/sampleimages
%endif
%{progdir}/res/throbber
%dir %{progdir}/res/entityTables
%{progdir}/searchplugins
%if %use_gtk2
%{progdir}/icons
%else
%dir %{progdir}/icons
%endif
%dir %{progdir}/components
%dir %{progdir}/chrome
%{progdir}/chrome/mozex.jar
%dir %{progdir}/chrome/icons
%dir %{progdir}/chrome/icons/default
%dir %{progdir}/defaults
%dir %{progdir}/defaults/pref
%dir %{progdir}/defaults/autoconfig
%dir %{progdir}/defaults/wallet
%dir %{progdir}/defaults/messenger
%dir %{progdir}/defaults/messenger/US
%dir %{progdir}/defaults/profile
%dir %{progdir}/defaults/profile/US
%dir %{progdir}/defaults/isp/
%dir %{progdir}/defaults/isp/US/
%dir %{progdir}/greprefs
%dir %{progdir}/plugins
%dir %{progdir}/init.d/
%dir %{progdir}/
%dir %{prefix}/
%doc %{_mandir}/man1/mozilla.1.gz
%if %use_xft
%if %use_gtk2
%else
%{progdir}/defaults/pref/xft.js
%endif
%endif
%verify (not md5 mtime size) %{progdir}/components/xpti.dat
%verify (not md5 mtime size) %{progdir}/components/compreg.dat
/usr/bin/mozilla
/etc/gre.conf
%if %suse_version > 820
/opt/gnome/share/applications/Mozilla.desktop
/opt/gnome/share/applications/mozilla-composer.desktop
%else
%if %use_gtk2
/opt/gnome2/share/applications/*.desktop
%else
/opt/gnome/share/gnome/apps/Internet/*.desktop  
%endif
%endif
/usr/share/pixmaps/mozilla-orig.png
/usr/share/pixmaps/mozilla-composer.png
%{prefix}/installed-chrome.d/mozilla
%verify (not md5 mtime size) %{prefix}/installed-chrome.d/manual
%ghost %{progdir}/chrome/installed-chrome.txt
%ghost %verify (not md5 mtime size) %{progdir}/chrome/locale.alias
# calendar

%files calendar
%{progdir}/components/libxpical.so
%{progdir}/components/calendar.xpt
%{progdir}/components/calendarService.js
%{progdir}/chrome/calendar.jar
%{progdir}/chrome/tasks.jar
%{progdir}/chrome/icons/default/calendar-window.xpm
%{progdir}/chrome/icons/default/calendar-window16.xpm

%files mail -f %{_tmppath}/mozilla-mail.list
%defattr(-,root,root)
%if %suse_version > 820
/opt/gnome/share/applications/mozilla-mail.desktop
%endif
/usr/share/pixmaps/mozilla-mail.png
# enigmail
%if %build_enigmail
%{progdir}/chrome/enigmail.jar
%{progdir}/chrome/enigmail-skin.jar
%{progdir}/components/enigmail.xpt
%{progdir}/components/enigmail.js
%{progdir}/components/enigprefs-service.js
%{progdir}/components/libenigmime.so
%{progdir}/components/enigmime.xpt
%{progdir}/components/ipc.xpt
%{progdir}/defaults/pref/enigmail.js
%endif

%files irc -f %{_tmppath}/mozilla-chat.list
%defattr(-,root,root)

%files venkman -f %{_tmppath}/mozilla-venkman.list
%defattr(-,root,root)

%files dom-inspector -f %{_tmppath}/mozilla-inspector.list
%defattr(-,root,root)
%dir %{progdir}/res/inspector

%files spellchecker -f %{_tmppath}/mozilla-spellchecker.list
%defattr(-,root,root)
%dir %{progdir}/components/myspell

%files devel
%defattr(-,root,root)
%{prefix}/include
%{prefix}/share
%{progdir}/xpcshell
%{progdir}/xpidl
%{progdir}/xpt_dump
%{progdir}/xpt_link
%{prefix}/bin/mozilla-config
%if %suse_version > 810
%{_libdir}/pkgconfig/*
%endif
%if %use_gtk2
%else

%files xmlterm
%defattr(-,root,root)
%{progdir}/xmlterm
%{progdir}/xcat
%{progdir}/xls
%{progdir}/chrome/xmlterm.jar
%{progdir}/components/*xmlterm*
%endif

%changelog -n mozilla
* Thu Nov 10 2005 - stark@suse.de
- fix enigmail information disclosure CAN-2005-3256 (#129936)
* Sat Sep 24 2005 - stark@suse.de
- security update (#117619)
  * MFSA 2005-57: IDN heap overrun using soft-hyphens (bmo #307259)
  * MFSA 2005-58:
  CAN-2005-2701 Heap overrun in XBM image processing
  CAN-2005-2702 Crash on "zero-width non-joiner" sequence
  CAN-2005-2703 XMLHttpRequest header spoofing
  CAN-2005-2704 Object spoofing using XBL <implements>
  CAN-2005-2705 JavaScript integer overflow
  CAN-2005-2706 Privilege escalation using about: scheme
  CAN-2005-2707 Chrome window spoofing
  Regression fixes
* Wed Aug 10 2005 - meissner@suse.de
- also obsolete epiphany-plugins.
* Tue Aug 09 2005 - meissner@suse.de
- obsolete galeon and epiphany on all box products from
  SUSE Linux 8.2 up to and including 9.1.
* Thu Jul 28 2005 - stark@suse.de
- fixed printing error 'You cannot print while in print preview'
  (#96991, bmo #302445)
* Wed Jul 27 2005 - stark@suse.de
- fixed mozilla on ppc (#97359)
- fixed regressions from 1.7.10 fixes
  (bmo #300749, #301917)
* Fri Jul 15 2005 - stark@suse.de
- integrated all security fixes up to version 1.7.10 (#88509)
* Tue May 17 2005 - stark@suse.de
- update to 1.7.8 security-release
* Mon Apr 25 2005 - stark@suse.de
- use system NSPR on distribution newer than 9.3
* Sun Apr 24 2005 - aj@suse.de
- Fix x86-64 build with gcc4.
* Fri Apr 22 2005 - ro@suse.de
- fix typo in last patch
* Thu Apr 21 2005 - ro@suse.de
- fix build with gcc-4
* Fri Apr 15 2005 - stark@suse.de
- update to final 1.7.7 release
- update enigmail to 0.91.0
* Mon Mar 21 2005 - max@suse.de
- Fixed a typo in the shell code that handles inclusion of the
  Acrobat Reader plugin (#70861).
* Fri Mar 18 2005 - stark@suse.de
- updates from upcoming 1.7.6 security-release
- bugfixes in trigger scripts
- include AdobeReader 7 plugin if available (#70861)
* Sat Mar 12 2005 - stark@suse.de
- fixed security bug (bmo #285595)
* Mon Mar 07 2005 - stark@suse.de
- disable inclusion of acrobat plugin again (#70861)
- don't use gconfd in registration phase (#66381)
* Fri Mar 04 2005 - stark@suse.de
- extend add-plugins to recognize Java 1.5 (#66909)
* Tue Feb 22 2005 - stark@suse.de
- revised postscript patch
- disabled stripping for new SUSE releases
- make --display parameter working in all cases (bnc #66043)
* Mon Feb 21 2005 - stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Fri Feb 18 2005 - stark@suse.de
- got more patches from branch including another fix for IDN
- enabled IDN again
* Wed Feb 16 2005 - stark@suse.de
- latest fixes from branch
* Mon Feb 14 2005 - stark@suse.de
- updated enigmail to 0.90.1
* Tue Feb 08 2005 - stark@suse.de
- some prefs are ignored (bmo #261934)
- disabled default IDN (#50566)
* Wed Feb 02 2005 - stark@suse.de
- modified gconf.diff to honor ignore_hosts (bmc #280742)
- added a JS crasher fix (bmc #268535)
- fixed movemail installation
* Fri Jan 28 2005 - stark@suse.de
- added gplflash inclusion
* Fri Jan 21 2005 - stark@suse.de
- prepared add-plugins.sh for Acrobat Reader 7
* Fri Jan 21 2005 - stark@suse.de
- fixing important bugzilla.mozilla.org bugs:
  [#178820], #242677, #249684, #266225, #267378, #271280, #275558
* Fri Jan 07 2005 - stark@suse.de
- updated enigmail to 0.90.0
- fixed inclusion of Helix-Player
- recognize more Java plugins (#48987)
* Tue Dec 28 2004 - stark@suse.de
- removed obsolete translations from desktop-file
  (will be automatically added from macro)
- update to 1.7.5 (20041220)
- update enigmail to 0.89.6
- update ipc to 1.1.2
- removed s390/s390x patch (included upstream)
- add compiler option to enable backchain for s390/s390x
  inline assembling
- fixed extra lines in mail replies (bmo #144998)
- removed bounce patch (available as extension
  mailredirect.mozdev.org)
- added gconf setting patch to get more gconf settings if
  "use system settings" is used
- removed cross dependencies on release level
* Tue Nov 23 2004 - ro@suse.de
- fix build on 8.2
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Wed Oct 13 2004 - uli@suse.de
- fixed ABI (s390*) and defines (s390x) thinkos, now actually works
  on these platforms
* Wed Sep 29 2004 - stark@suse.de
- fixed path to RealPlayer plugin
* Tue Sep 28 2004 - stark@suse.de
- another change to fix initial localization
  (thanks to mfabian)
* Sat Sep 25 2004 - stark@suse.de
- add ContentLocale parameter for initial localization (#44956)
- added patch for crasher in IMAP code (mozilla.org #257079)
- "no-cache" header was ignored for non-SSL sites
  (mozilla.org #252023)
- added fixed version for mozilla.org bug #257308
- fix in download handling (mozilla.org #259890)
- fix for Ximian #65176 (mozilla.org #240068)
* Fri Sep 24 2004 - stark@suse.de
- enabled logging for non-debug builds to be able to get some
  logfiles for debugging
* Fri Sep 17 2004 - stark@suse.de
- fixed broken patch-file
* Fri Sep 17 2004 - stark@suse.de
- added security fix for mozilla bug #258005
- trigger for java-1_4_2-sun-plugin (#45257)
* Wed Sep 15 2004 - ro@suse.de
- use version number directly
* Wed Sep 15 2004 - sbrabec@suse.cz
- Adopted mozilla.spec, so the same spec file can build also nvu.
* Fri Sep 10 2004 - stark@suse.de
- added some security related and crasher fixes:
  * Visual indicators of site security appear for the wrong site
  (mozilla.org #257308)
  * mailnews crasher (mozilla.org #258386)
  * fix arrow keys behaviour for GTK2 list boxes
  (mozilla.org #219706)
  * URL bar should not display passwords in URL
  (mozilla.org #157354)
- fix enigmail configuration (#44971)
* Thu Sep 09 2004 - stark@suse.de
- added patch for AMD64 endianess in JS component
  (#34743)
* Mon Sep 06 2004 - stark@suse.de
- added parts of the 1.7 branch
  (including CUPS integration)
* Fri Sep 03 2004 - stark@suse.de
- update enigmail to 0.86.0
- reworked start-script to invoke mozilla start/stop scripts
* Tue Aug 24 2004 - ro@suse.de
- make sure we can call mozilla-make-package.pl
  (do not rely on any permissions in RPM_SOURCE_DIR)
* Thu Aug 19 2004 - sbrabec@suse.cz
- README.installed-chrome: Added a sentence about scriptlet PreReq
  (#43990).
* Thu Aug 12 2004 - stark@suse.de
- added patch for ppc64 build
* Thu Aug 05 2004 - stark@suse.de
- update to 1.7.2 with security fixes
- update enigmail to 0.85.0
- handle RealPlayer 9 plugin
- added calendar-fix init script to package
- fixed file-list (packages-unix) and kprinter config for Desktop
- disabled SVG for distributions older than 8.2
- modified bounce patch to not disturb language-packs
* Thu Aug 05 2004 - ro@suse.de
- recode desktop file to utf-8
* Fri Jun 18 2004 - stark@suse.de
- update to 1.7
- update enigmail to 0.84.1
- remove compreg.dat prior to rebuild-databases (#41481)
- no longer disable-xprint
- build with heimdal
  (Support for Kerberos HTTP authentication using GSSAPI)
* Fri Jun 18 2004 - ro@suse.de
- added patch from garnome list to build with current freetype
* Thu May 06 2004 - stark@suse.de
- added patch to avoid compile-warnings
* Wed May 05 2004 - stark@suse.de
- update to 1.7rc1 (20040505)
- added patch to be able to bounce mail-messages
- update enigmail to 0.83.6
- added focus fix for gtkembedmoz
- changed behaviour of nullplugin
- removed x86-64 patch as it is now included upstream
- added new function in start script to start localized
  according to the environment if correct language pack is
  installed (for new profiles)
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Thu Mar 25 2004 - stark@suse.de
- install more needed files (#36085)
* Tue Mar 23 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Mon Mar 15 2004 - stark@suse.de
- use xft.js only for gtk1 builds (not default)
- removed obsolete stuff from package
- install menu-icons and use them (#35992)
- install some more files (#36085)
- renewed bookmark-changes
* Tue Mar 09 2004 - stark@suse.de
- patch for keeping ui fonts (#35236)
* Sun Mar 07 2004 - ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Wed Mar 03 2004 - stark@suse.de
- fixed enigmail file-list (#35302)
- update enigmail to 0.83.4
* Mon Mar 01 2004 - stark@suse.de
- improved xremote behaviour in relation to other mozilla products
  (firefox, thunderbird) (#35179)
* Tue Feb 24 2004 - stark@suse.de
- fixed inclusion of mozex extension
- added compiler flags for security/ (nss-opt.patch)
- update enigmail to 0.83.3
* Fri Feb 20 2004 - stark@suse.de
- added build-fix for s390x (#32963)
- added mozex 1.07 to the package
* Wed Feb 04 2004 - stark@suse.de
- fixed calendar filelist
- enabled freetype for xft builds to improve printing
* Wed Jan 28 2004 - stark@suse.de
- update to enigmail 0.83.1
- fixed enigmail inclusion and activated it again
* Mon Jan 19 2004 - stark@suse.de
- update to 1.6 (20040114)
- set PS printer list in mozilla.sh
- update to enigmail 0.83.0
  (deactivated for now until a chrome issue is fixed)
- added mozilla-bonobo to plugin-handling
- use lib64 again for biarch platforms
- use kprinter and xft on SLEC (only for specfile-sharing)
- added fixed desktop files
* Mon Nov 03 2003 - stark@suse.de
- apply mips build-fix
* Wed Oct 22 2003 - stark@suse.de
- require myspell-dictionary only since 9.0
* Wed Oct 15 2003 - stark@suse.de
- update to 1.5 (final)
* Mon Sep 29 2003 - stark@suse.de
- update to Mozilla 1.5rc2
- added patch to enable freetype2 printing in xft builds
- removed overlay-files from filelist (delete them in preun)
* Wed Sep 24 2003 - stark@suse.de
- added mozplugger to add-plugins.sh
- added patch to expunge IMAP folders if "remove immediately"
  delete model is used
- update to 1.4.1
- update enigmail to 0.76.7
* Tue Sep 23 2003 - sbrabec@suse.cz
- Changed plugger->mozplugger (part of bug #31616).
* Thu Sep 18 2003 - coolo@suse.de
- make mozilla open URLs not files
* Tue Sep 16 2003 - stark@suse.de
- adopted RealPlayer inclusion for new path (#30990)
* Sun Sep 07 2003 - adrian@suse.de
- mozilla supports text/html MimeType
* Thu Sep 04 2003 - adrian@suse.de
- remove wrong start path in desktop file
* Mon Sep 01 2003 - adrian@suse.de
- install also desktop files for mail and composer
- make Mozilla start path FHS compliant
* Mon Aug 25 2003 - hhetter@suse.de
- revert from patch mentioned at Mozilla.org Bug #58613
  to get epiphany and galeon to build
* Fri Aug 22 2003 - stark@suse.de
- another upstream sync
* Fri Aug 15 2003 - stark@suse.de
- again more CVS patches from mozilla.org
* Sun Aug 10 2003 - stark@suse.de
- updated enigmail to 0.76.5
* Fri Aug 08 2003 - stark@suse.de
- again more CVS patches from mozilla.org
- adapted x86-64 patch for 1.4
- clean up configure options
- use -fno-strict-aliasing (#28534)
* Thu Jul 31 2003 - stark@suse.de
- integrated more patches from mozilla.org
- fixed deinstallation of dict-links
- removed unneeded files from filelist (for milestone builds)
- removed update-desktop-files again because it's in
  gtk2-devel-packages
* Wed Jul 30 2003 - stark@suse.de
- add-plugins.sh now links myspell-dictionaries for spellchecker
  (#26290)
- added some bugfixes from mozilla.org
- added update-desktop-files to neededforbuild
* Tue Jul 29 2003 - stark@suse.de
- added make-definition for build with Linux 2.6.x
* Mon Jul 28 2003 - adrian@suse.de
- add Categories to desktop file
- TODO: create .desktop files for other Mozilla modules
* Wed Jul 23 2003 - stark@suse.de
- check if DISPLAY set correctly (#28098)
- set $TEMP to $HOME for acroread (#27929)
- workaround the BUILD_ROOT issue in xpti.dat
- update enigmail to 0.76.3
* Tue Jul 15 2003 - stark@suse.de
- fix update from Mozilla 1.0.1 to 1.4
- update enigmail to 0.76.2
- added ICP-Brasil CA (#25840)
- added some minor patches from mozilla.org
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 02 2003 - schwab@suse.de
- mozilla.sh: fix quoting, teach about emacsclient.
* Tue Jul 01 2003 - stark@suse.de
- update to 1.4 final
* Wed Jun 25 2003 - stark@suse.de
- fix AMD64 patch to fit mozilla version
* Thu Jun 19 2003 - stark@suse.de
- update to 1.4rc3 (20030619)
- added DFN CA certificate
- update enigmail to 0.76.1
- added assembler patch, IA64 should be usable now
* Sat Jun 14 2003 - stark@suse.de
- update to 1.4rc2 (20030613)
- fixed minor bug in update handling in %%preun
- added missing directories to the filelist
- deactivated check for unpackaged files
* Wed Jun 11 2003 - stark@suse.de
- update to 1.4rc1 (20030610)
- switch to GTK2 build for STABLE
- update enigmail to 0.76.0
* Wed May 28 2003 - stark@suse.de
- update to 1.4b (20030526)
- added spellchecker subpackage (based on myspell)
* Sat May 10 2003 - stark@suse.de
- modified x86-64 patch to fit 1.4b
* Thu May 08 2003 - stark@suse.de
- updated to 1.4b (20030507)
- updated enigmail and ipc sources for 1.4
- adopt James Ogley's changes for gtk2 build
- install pkgconfig stuff
- include icons
- desktop file in GNOME2 place
- Provides: mozilla-gtk2 for building Galeon/Epiphany
- added /etc/gre.conf
- modified startscript to manipulate default open behaviour
  of URLs provided on commandline ($MOZ_NEWURL)
- some spec-file modifications for slow migration to
  Firebird
* Thu Apr 03 2003 - stark@suse.de
- updated enigmail to 0.74.0
- fixed minor bug in spec-file (only hit old SL versions)
* Mon Mar 31 2003 - stark@suse.de
- moved mozilla-config to /opt/mozilla/bin
- some rudimentary language autodetection
- reactivated XFT for 8.2
- make GTK2 optional for 8.2 and higher (disabled xmlterm)
- fixed bug in rebuild-databases.sh
* Mon Mar 24 2003 - stark@suse.de
- handle old plugins on update from versions before 1.3
- splitted calendar off from mozilla
- added XFT patches but disabled XFT for SuSE Linux 8.2 at this
  time
- added mozilla-config to devel package
* Fri Mar 14 2003 - stark@suse.de
- update to 1.3
- redirect error about missing file in rebuild-databases.sh
- update enigmail to 0.73.1
- added LEO searchplugin for dict.leo.org
- changed directory-structure to be more mozilla.org compatible
- removed s390 fix because changes are already in sources
- use XFT2 instead of freetype2 on SL8.2 and higher
- made add-plugins.sh compatible with older SL versions again
- enabled SVG support (including libart_lgpl)
- enabled calendar
- removed special splash because of copyright issues
* Thu Mar 13 2003 - stark@suse.de
- avoid creation of java link if Blackdown isn't installed
  but another Java is found (but not usable because of gcc)
  [Bug #25278]
* Wed Mar 12 2003 - stark@suse.de
- added new BlackdownJava2-JRE to RPM triggers
* Mon Mar 03 2003 - kukuk@suse.de
- Fix calling mozilla with options [Bug #24539]
* Fri Feb 28 2003 - ro@suse.de
- fixed add-plugins.sh for flash-player
* Mon Feb 24 2003 - ro@suse.de
- added tclplug and djvulibre
* Mon Feb 24 2003 - ro@suse.de
- add-plugins: use /usr/%%_lib/browser-plugins
- flash plugin moved from netscape-plugins to flash-player
* Tue Feb 18 2003 - stark@suse.de
- reworked add-plugins.sh for newer Java versions
- moved libnssckbi.so to MOZILLA_FIVE_HOME (#22548)
- %%preun bugfix
* Fri Jan 17 2003 - sbrabec@suse.cz
- Added README.installed-chrome to source package.
* Wed Jan 15 2003 - pmladek@suse.cz
- updated the x86_64.patch from Gwenole Beauchesne
* Thu Dec 05 2002 - stark@suse.de
- update to 1.2.1
- update Enigmail to 0.71.0
- removed SuSEconfig.mozilla
  now use add-plugins.sh together with %%trigger statements
- use new chrome-management scheme
- don't add java plugin if built with gcc 3.x
- bugfix for using mozilla-xremote-client
* Wed Nov 27 2002 - stark@suse.de
- update to 1.2
- moved rebuild-databases to RPM scripts (only plugins are
  left in SuSEconfig.mozilla)
- added addon-chrome functionality to rebuild-databases.sh
- readded Enigmail source for 1.2
- reworked start-script for opening html-files (#16186)
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added support for separate chrome (language) packs (bug #20700):
  updated rebuild-databases.sh and created and filled
  /opt/mozilla/installed-chrome.d.
* Wed Nov 06 2002 - stepan@suse.de
- fix mozilla on s390 and s390x
* Thu Oct 24 2002 - stepan@suse.de
- fix compilation on axp
* Fri Oct 18 2002 - stark@suse.de
- fixed error-messages during startup (#19556)
* Thu Oct 17 2002 - mfabian@suse.de
- Bug #20972: fix printing for Korean and Chinese by setting
  suitable default PostScript fonts
* Tue Oct 08 2002 - sbrabec@suse.cz
- Added support for Plugger in SuSEconfig.mozilla. Closes #20677.
* Fri Sep 20 2002 - stark@suse.de
- fixed documentation bugs #19811 and #19812
* Thu Sep 12 2002 - stark@suse.de
- include compat_wrapper.dif only on gcc 3.x based distributions
* Wed Sep 11 2002 - sbrabec@suse.cz
- Corrected %%ifarch ix86 to %%ifarch %%ix86, otherwise compat_wrapper.dif
  is ignored.
* Sat Sep 07 2002 - olh@suse.de
- add gcc3 helper code for ppc32.
  Linux/PPC g++-3 ABI support for XPCOM
* Wed Sep 04 2002 - stark@suse.de
- update to 1.0.1 (20020903)
- added compat-wrapper for Flash on ix86
- removed Flash-player (use Flash from netscape-plugins)
- added Enigmail to mozilla-mail
- added patch for using an external editor for textareas and
  composer windows
* Sat Aug 24 2002 - ro@suse.de
- fixed ix86 to correct %%ix86
* Thu Aug 22 2002 - stark@suse.de
- changed %%ifarch i386 to ix86 for Flash
* Wed Aug 21 2002 - stark@suse.de
- fixed mozilla-copy-package.sh to fit the new parameter
  behaviour of cp
* Thu Aug 15 2002 - uli@suse.de
- added x86-64 port by Gwenole Beauchesne
* Tue Aug 06 2002 - stark@suse.de
- apply s390 patch only on s390
* Mon Aug 05 2002 - stark@suse.de
- added  patch to compile on s390(x)
* Sun Jun 09 2002 - stark@suse.de
- added japanese and german language pack
* Wed Jun 05 2002 - stark@suse.de
- update to 1.0
- moved libs to /opt/mozilla/{lib,lib64}
* Wed Jun 05 2002 - sf@suse.de
- apply x86_64-patch only on x86_64, as it breaks ix86
* Wed Jun 05 2002 - sf@suse.de
- added patch to build on x86_64 (does not really work yet,
  but needed for other packages)
* Tue May 28 2002 - stark@suse.de
- readded de-AT languagepack
- moved nss headers to include/nss
* Mon May 27 2002 - stark@suse.de
- added nss3 devel files
* Fri May 24 2002 - stark@suse.de
- update to 1.0rc3
* Tue May 21 2002 - stark@suse.de
- added new wrapper script
- build with -Os for gcc3
- added dom-inspector subpackage
- removed redundant ia64 patch
* Tue May 14 2002 - schwab@suse.de
- Configure only plugins that match mozilla arch.
- Fix some C++ issues.
* Sun May 12 2002 - schwab@suse.de
- Add binary only plugins only on supported architectures.
* Sat May 11 2002 - stark@suse.de
- update to 1.0rc2
* Sat May 04 2002 - stark@suse.de
- update to codebase 20020503 because of security-reasons
  (XMLHTTPRequest redirect bug)
* Fri Apr 26 2002 - stark@suse.de
- readded ja-JP and de-AT language packs and mozgest 0.3.3
- removed Requires: jre1.3.x
- update to codebase 20020425
- deactivated buggy mozgest for now
* Thu Apr 18 2002 - stark@suse.de
- update to 1.0RC1
- update flash to 5.0r48
* Wed Apr 10 2002 - stark@suse.de
- readded ja-JP language pack
* Mon Mar 18 2002 - stark@suse.de
- readded de-AT language pack
* Thu Mar 14 2002 - stark@suse.de
- update to milestone 0.9.9
- enabled freetype2 support
* Mon Feb 11 2002 - stark@suse.de
- readded ja-JP language/region pack
* Fri Feb 08 2002 - stepan@suse.de
- fixed building with gcc 3.x on ppc and alpha
- adopting assembler macros to ABI changes
* Fri Feb 08 2002 - stark@suse.de
- added de-AT language/region pack
- added patch to remove debug menu from preferences
- bzip2 flash-sources
* Tue Feb 05 2002 - stark@suse.de
- update to milestone 0.9.8
  (as always without language-packs)
- update mozgest to compatible 0.3.2
* Tue Feb 05 2002 - stark@suse.de
- minor changes of the configure parameters
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 - hhetter@suse.de
- added gdkxft-mozilla patch for TT Font Rendering
* Thu Jan 17 2002 - uli@suse.de
- removed /opt/mozilla/chrome/overlayinfo from filelist for ARM
* Wed Jan 02 2002 - stark@suse.de
- added de-AT language pack for 0.9.7
* Sun Dec 30 2001 - stark@suse.de
- added patch to handle empty file upload forms
  (#116210 bugzilla.mozilla.org)
* Mon Dec 24 2001 - stark@suse.de
- update to 0.9.7
  (deactivated JP and DE language packs as they are not
  available yet)
* Wed Dec 05 2001 - stark@suse.de
- changed cp options again to fix devel-package for version > 7.0
* Sat Dec 01 2001 - stark@suse.de
- added de-AT language pack for 0.9.6
- removed option -L of cp commands (for compatibility with 7.0)
* Mon Nov 26 2001 - stark@suse.de
- made SuSEconfig.mozilla compatible with 7.3 again
- deactivated de-AT language pack (doesn't work for 0.9.6 :-()
* Sat Nov 24 2001 - stark@suse.de
- changed SuSEconfig.mozilla to fit next SuSE-release (Java)
* Sat Nov 24 2001 - stark@suse.de
- reactivated de-AT language pack for 0.9.5 (hopefully works)
* Fri Nov 23 2001 - stark@suse.de
- update to 0.9.6
- update mozgest to 0.3.1
* Wed Nov 14 2001 - stark@suse.de
- minor (cosmetic) change in SuSEconfig.mozilla
- readded Flash-Plugins to %%files
* Mon Nov 12 2001 - stark@suse.de
- added Provides for new subpackages (split-aliases)
- reworked SuSEconfig.mozilla (for subpackages)
* Thu Nov 08 2001 - stark@suse.de
- readded build-id with SuSE extension
- added file to devel-package
* Wed Nov 07 2001 - stark@suse.de
- added bookmark.diff
- removed build-id from title
* Wed Nov 07 2001 - stark@suse.de
- added some devel files
* Tue Nov 06 2001 - stark@suse.de
- rewritten %%install section to use mozilla packaging functions
- split package into sub-packages
* Mon Nov 05 2001 - stark@suse.de
- updated optimoz to RC0.3
* Wed Oct 24 2001 - stark@suse.de
- finally integrated optimoz (disabled and hidden by default)
- install only jar-archives in chrome
- added /opt/mozilla/rebuild-databases.sh
* Wed Oct 24 2001 - hhetter@suse.de
- include idl files in devel-package
* Tue Oct 23 2001 - stark@suse.de
- made SuSEconfig integrate RealPlayer- and Acrobat-Plugin
- requires now jre1.3.x
- added release_date (Gecko)
- moved some files to mode 644
- added patch to disable debug-menu in Composer
- set mailnews-startpage to about:blank
- set very-first startup-page to about:blank
* Mon Oct 22 2001 - mfabian@suse.de
- install Japanese Google-searchplugin under the name
  'google-japan.gif' and 'google-japan.src' in order not to
  overwrite the English original 'google.gif' and 'google.src'.
* Sat Oct 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.5-jajppack-v1.0.xpi
* Tue Oct 16 2001 - stark@suse.de
- update to 0.9.5
- added de_AT language pack
- make SuSEconfig integrate java from package java2
- added Macromedia Flashplayer/Shockwave
- added Optimoz 0.2.6 (partially, not active yet)
* Fri Sep 21 2001 - egger@suse.de
- Add libcms and libmng-devel to neededforbuild as suggested
  by Werner Fink.
* Fri Sep 21 2001 - egger@suse.de
- Redid my former patch to disable Debug menus and default
  to SuSE homepage.
* Fri Sep 21 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.4-langjajp-RC1.xpi
  and mozilla0.9.4-regjp-RC1.xpi
* Thu Sep 20 2001 - draht@suse.de
- merging with BETA-tree from egger@suse.de: upgrade to 0.9.4
* Sat Sep 15 2001 - egger@suse.de
- diff: Removed Debug menus.
- diff: Added sensible default values and default to SuSE homepage.
* Tue Sep 11 2001 - egger@suse.de
- Somehow some non-0.9.3 sources were in the previous tarball.
  Replaced them by the real ones.
* Mon Aug 13 2001 - mfabian@suse.de
- added mozilla-cjk-config.patch again.
  (setup of PostScript fonts for printing Chinese, Japanese and
  Korean, default fonts for Chinese, Japanese and Korean).
* Thu Aug 09 2001 - mfabian@suse.de
- add Japanese language pack mozilla0.9.3-langjajp-RC1.xpi
  and mozilla0.9.3-regjp-RC1.xpi (Korean language packs
  are only available for 0.9.2 and they don't work for 0.9.2,
  therefore they are commented out).
* Sun Aug 05 2001 - egger@suse.de
- Updated to version 0.9.3.
* Thu Jul 05 2001 - egger@suse.de
- Update to 0.9.2.
- Language packs are incompatible and not yet available so they'll
  follow later.
* Wed Jun 20 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.9.1-langjajp.xpi
  and mozilla0.9.1-regjp.xpi
* Thu Jun 14 2001 - egger@suse.de
- Update to version 0.9.1.
* Fri May 11 2001 - egger@suse.de
- Fixed severe bugs in SuSEconfig.mozilla script that
  may prevent users from getting a working mozilla.
* Fri May 04 2001 - mfabian@suse.de
- update Japanese language pack to mozilla0.8.1-langjajp.xpi
  and mozilla0.8.1-regjp.xpi
* Tue May 01 2001 - egger@suse.de
- Update SuSEconfig.mozilla to use md5 sums
* Wed Apr 04 2001 - mfabian@suse.de
- update Japanese language pack to langjajp-081-RC1.xpi
  and regjp-081-RC1.xpi
* Thu Mar 29 2001 - egger@suse.de
- Updated to version 0.8.1.
* Mon Mar 19 2001 - bk@suse.de
- strip mozilla shared libraries
* Sun Mar 11 2001 - violiet@suse.de
- added Korean and Japanese Language pack.
* Sat Mar 03 2001 - schwab@suse.de
- Try to add support for ia64.
- Fix run-mozilla link.
* Tue Feb 20 2001 - egger@suse.de
- Integrated a reworked version of Bernd Kaindls
  patch to get the beast running from anywhere again.
* Mon Feb 19 2001 - egger@suse.de
- Use BuildRoot.
- Reworked specfile.
- Corrected -devel package.
* Fri Feb 16 2001 - egger@suse.de
- Update to version 0.8.
* Tue Jan 23 2001 - kukuk@suse.de
- Fix use of SOURCE macro
* Tue Jan 23 2001 - kukuk@suse.de
- Move post install section to extra SuSEconfig.mozilla [Bug #5642]
* Mon Jan 22 2001 - mfabian@suse.de
- revert to 16 pt font for Japanese and Chinese. Japanese and
  Chinese characters are almost unreadable at 12pt.
* Sun Jan 21 2001 - violiet@suse.de
- set korean and taiwan ps font printing patch.
- set mozilla used small 12pixels font.
- change improved font for Japanese and Korean.
- added Korean & Japanese Name and Comment in Mozilla.desktop.
* Wed Jan 03 2001 - egger@suse.de
- Quietness patch.
- Enabled JAR file creation.
- Added GNOME icon.
- New wrapper script.
* Sun Dec 24 2000 - bk@suse.de
- set CFLAGS and CXXFLAGS for confgure to $RPM_OPT_FLAGS. With our
  configure flags(--enable-optimize -> adds -O after CFLAGS) enabled
  this enables only the i486 arch code which brought me 5%% speed
  increase in my test(Load page on hay), package size stays the same.
* Wed Dec 20 2000 - egger@suse.de
- Integrated the latest bugfixes.
- Added: Provides: web_browser to the specfile.
* Tue Dec 12 2000 - egger@suse.de
- Update to the real version 0.6.
* Fri Dec 08 2000 - bk@suse.de
- updated to Mozilla 0.6 (milestone release based on the same branch
  as Netscape 6), looks good!
- fixed cp -r install to cp -rL(for forcing to follow the links...)
- fixed postinstall to do an chroot before calling programs...
* Fri Dec 01 2000 - kukuk@suse.de
- Fix spec file syntax
* Fri Dec 01 2000 - egger@suse.de
- Made a new snapshot.
* Wed Nov 22 2000 - egger@suse.de
- Reworked the specfile and of course
- Made a new snapshot.
* Tue Nov 21 2000 - egger@suse.de
- Made a new snapshot.
* Fri Nov 10 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - egger@suse.de
- Made a new snapshot.
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - egger@suse.de
- Made a new snapshot.
* Wed Oct 25 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
- Changed specfile slightly.
* Fri Oct 13 2000 - egger@suse.de
- Made a new snapshot.
* Sun Oct 08 2000 - egger@suse.de
- Made a new snapshot.
* Fri Oct 06 2000 - egger@suse.de
- Made a new snapshot.
* Wed Oct 04 2000 - egger@suse.de
- Made a new snapshot.
* Wed Sep 27 2000 - egger@suse.de
- Made a new snapshot.
* Thu Sep 21 2000 - egger@suse.de
- Add mozilla development package to provide the necessary
  headers for embedding the gecko engine.
- Try the new registering.
* Mon Sep 18 2000 - egger@suse.de
- Ok, forgot to save the right specfile... Sorry.
* Mon Sep 18 2000 - egger@suse.de
- New snapshot.
- Removed SPARC patch, the mozilla people applied the patch.
- Tested package on i386.
* Tue Aug 22 2000 - egger@suse.de
- Try a hint from the mozilla people to prevent that ugly mail
  hack.
- Made a new snapshot.
* Tue Jul 11 2000 - egger@suse.de
- Updated to postM17: Lots of bugfixes and perfomanceimprovements.
- Link run-mozilla.sh to /usr/X11/bin/mozilla.
- Correct the wrapper script to work from anywhere.
- Send a mail to the admin after installing mozilla
  to tell him that he has to run mozilla once as root.
* Mon Jul 10 2000 - ro@suse.de
- specfile fix
* Mon Jul 10 2000 - ro@suse.de
- try to call mozilla to create registry
* Fri Jul 07 2000 - kukuk@suse.de
- Add SPARC fix back
* Thu Jul 06 2000 - egger@suse.de
- Unified tarballs.
- Change incorrect strip command.
* Thu Jul 06 2000 - ro@suse.de
- added more dirs
* Wed Jul 05 2000 - egger@suse.de
- Add missing dirs...
* Tue Jul 04 2000 - egger@suse.de
- Use latest bugfix snapshot.
- Try to prevent a bug in libpthreads/nspr by building
  with debugging and strip everything afterwards.
- Enable optimize because it works now.
- Install wrapper script instead of binary into exectuable
  path to work around problems...
* Fri Jun 16 2000 - egger@suse.de
- Use latest snapshot.
- Recheckin since the last update got lost...
- Bumped version to M16.
* Sun Jun 11 2000 - egger@suse.de
- Use latest snapshot.
- Checked out missing dir, too.
* Fri Jun 09 2000 - egger@suse.de
- Use latest snapshot.
* Sat May 27 2000 - egger@suse.de
- Well, maybe I should have replaced all occurences of X11... :)
* Mon May 22 2000 - egger@suse.de
- /usr/X11/bin/mozilla is not allowed anymore, so use
  /usr/X11R6/bin/mozilla.
* Thu May 18 2000 - egger@suse.de
- Checked in new snapshot.
* Mon May 15 2000 - egger@suse.de
- Readded orbit to the requirements.
* Sat May 13 2000 - egger@suse.de
- Checked in completely new .spec-file and the
  latest CVS snapshot.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building mozilla
* Tue Mar 28 2000 - ro@suse.de
- removed optimize
* Thu Mar 23 2000 - ro@suse.de
- update to M14-no-crypto
* Fri Jan 28 2000 - kukuk@suse.de
- Update to M13
- Fix for SPARC
* Tue Jan 25 2000 - ro@suse.de
- update to M12
* Wed Dec 15 1999 - ro@suse.de
- reworked install-section of specfile
* Wed Nov 24 1999 - ro@suse.de
- update to M11
* Wed Oct 20 1999 - ro@suse.de
- added comment for ld-script
* Mon Oct 18 1999 - ro@suse.de
- fixed config.sub for ev6
* Wed Oct 13 1999 - ro@suse.de
- update to M10
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - bs@suse.de
- user glib, gtk instead of glibn, gtkn
- call Check after install
* Thu Jun 03 1999 - ro@suse.de
- update to M6
* Tue Jun 01 1999 - ro@suse.de
- fixed shellscripts for startup
* Tue Jun 01 1999 - ro@suse.de
- moved libraries to /usr/lib/mozilla/lib
  and start using "LD_LIBRARY_PATH"
* Tue Jun 01 1999 - ro@suse.de
- created packages (mozilla and mozillad)
